Skip to main content
BlueAI
Home/Scheduler/Calendar Connections

Calendar Connections

Manage connections and sync with external calendars such as Google Calendar.

|

Endpoints

POST/api/v1/scheduler/calendars/connect/googleConnect Google Calendar
GET/api/v1/scheduler/calendars/callback/googleGoogle OAuth callback
GET/api/v1/scheduler/calendars/connectionsList calendar connections
POST/api/v1/scheduler/calendars/connections/{id}/syncSync calendar
POST/api/v1/scheduler/calendars/connections/{id}/disconnectDisconnect calendar
POST/api/v1/scheduler/calendars/connect/google

Connect Google Calendar

Authentication requiredInclude session cookie or Bearer token

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connect/google" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/calendars/callback/google

Google OAuth callback

Authentication requiredInclude session cookie or Bearer token

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/calendars/callback/google" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/calendars/connections

List calendar connections

Authentication requiredInclude session cookie or Bearer token

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/calendars/connections" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/calendars/connections/{id}/sync

Sync calendar

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalCalendar connection ID

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connections/deal_123e4567e89b12d3a456426614174000/sync" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/calendars/connections/{id}/disconnect

Disconnect calendar

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalCalendar connection ID

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connections/deal_123e4567e89b12d3a456426614174000/disconnect" \
  -H "Cookie: better-auth.session_token=<token>"